Fehler beim Entpacken des Archives cmake-data

German Forum

Moderator: karlchen

Post Reply
Hecke
Level 1
Level 1
Posts: 19
Joined: Thu Apr 20, 2017 3:49 pm

Fehler beim Entpacken des Archives cmake-data

Post by Hecke » Wed Oct 03, 2018 6:09 pm

Hallo Zusammen,
ich wollte mich mal daran wagen QMapShack für Linux Mint 18.3 Cinnamon 64bit gemäß dieser Anleitung zu compilieren & installieren...
Leider scheitere ich schon an Schritt 1. "Installieren von cmake". Egal ob ich über die Anwendungsverwaltung, Synaptics oder das Terminal versuche dieses Paket zu installieren, erhalte ich immer einen Abhängigkeitsfehler. (Ich habe keine Fremdquellen aktiviert).

Code: Select all

hecke@henrik-Studio-1555 ~ $ sudo apt-get install cmake
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden zusätzlichen Pakete werden Installiert
  cmake-data libcurl3 libjsoncpp1
Vorgeschlagene Pakete:
  codeblocks eclipse ninja-build
Die folgenden NEUEN Pakete werden installiert:
  cmake cmake-data libcurl3 libjsoncpp1
0 aktualisiert, 4 neu installiert, 0 zu entfernen und 124 nicht aktualisiert.
Es müssen noch 0 B von 4.003 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 21,1 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
Vormals nicht ausgewähltes Paket cmake-data wird gewählt.
(Lese Datenbank ... 226229 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../cmake-data_3.5.1-1ubuntu3_all.deb ...
Entpacken von cmake-data (3.5.1-1ubuntu3) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/cmake-data_3.5.1-1ubuntu3_all.deb (--unpack):
 »/usr/share/man/man7/cmake-modules.7.gz.dpkg-new« kann nicht geöffnet werden: Vorgang nicht zulässig
Vormals nicht ausgewähltes Paket libcurl3:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../libcurl3_7.47.0-1ubuntu2.9_amd64.deb ...
Entpacken von libcurl3:amd64 (7.47.0-1ubuntu2.9) ...
Vormals nicht ausgewähltes Paket libjsoncpp1:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../libjsoncpp1_1.7.2-1_amd64.deb ...
Entpacken von libjsoncpp1:amd64 (1.7.2-1) ...
Vormals nicht ausgewähltes Paket cmake wird gewählt.
Vorbereitung zum Entpacken von .../cmake_3.5.1-1ubuntu3_amd64.deb ...
Entpacken von cmake (3.5.1-1ubuntu3) ...
Trigger für man-db (2.7.5-1) werden verarbeitet ...
Trigger für libc-bin (2.23-0ubuntu10) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/cmake-data_3.5.1-1ubuntu3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Habe über Synaptics die Pakte cmake und cmake-data vollständig inkl. Abhängigkeiten entfernt und neu installiert. Außerdem habe ich folgende Befehle aufgrund mehrstündiger Foren/Google-Anfragen angewendet:

Code: Select all

sudo apt-get -f install
sudo apt-get update
sudp apt-get autoremove
sudo aptitude -f install
sudo dpkg --force-depends -r cmake
sudo apt-get install --reinstall cmake
Vielen Dank für Euren Rat und Eure Unterstützung!
Grüße Hecke

Post Reply

Return to “Deutsch (German)”